org.apache.xmlgraphics.util.uri

## Class DataURLUtil

- java.lang.Object
- - org.apache.xmlgraphics.util.uri.DataURLUtil

-     public final class DataURLUtil
      extends java.lang.Object

  Utility classes for generating RFC 2397 data URLs.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createDataURL(java.io.InputStream in, java.lang.String mediatype)` Creates a new data URL and returns it as a String.
    `static void` | `writeDataURL(java.io.InputStream in, java.lang.String mediatype, java.io.Writer writer)` Generates a data URL and writes it to a Writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDataURL

          public static java.lang.String createDataURL(java.io.InputStream in,
                                                       java.lang.String mediatype)
                                                throws java.io.IOException

      Creates a new data URL and returns it as a String.
      Parameters:
        `in` - the InputStream to read the data from
        `mediatype` - the MIME type of the content, or null
      Returns:
        the newly created data URL
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### writeDataURL

          public static void writeDataURL(java.io.InputStream in,
                                          java.lang.String mediatype,
                                          java.io.Writer writer)
                                   throws java.io.IOException

      Generates a data URL and writes it to a Writer.
      Parameters:
        `in` - the InputStream to read the data from
        `mediatype` - the MIME type of the content, or null
        `writer` - the Writer to write to
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2023 The Apache Software Foundation. All Rights Reserved.